<?php
/**
 * OrderCommitRequestTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * OMS
 *
 * Управление заказами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\OmsClient;

use PHPUnit\Framework\TestCase;

/**
 * OrderCommitRequestTest Class Doc Comment
 *
 * @category    Class
 * @description OrderCommitRequest
 * @package     Ensi\OmsClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class OrderCommitRequestTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "OrderCommitRequest"
     */
    public function testOrderCommitRequest()
    {
    }

    /**
     * Test attribute "customer_id"
     */
    public function testPropertyCustomerId()
    {
    }

    /**
     * Test attribute "customer_email"
     */
    public function testPropertyCustomerEmail()
    {
    }

    /**
     * Test attribute "client_comment"
     */
    public function testPropertyClientComment()
    {
    }

    /**
     * Test attribute "payment_system_id"
     */
    public function testPropertyPaymentSystemId()
    {
    }

    /**
     * Test attribute "source"
     */
    public function testPropertySource()
    {
    }

    /**
     * Test attribute "promo_code"
     */
    public function testPropertyPromoCode()
    {
    }

    /**
     * Test attribute "delivery_method"
     */
    public function testPropertyDeliveryMethod()
    {
    }

    /**
     * Test attribute "delivery_address"
     */
    public function testPropertyDeliveryAddress()
    {
    }

    /**
     * Test attribute "delivery_comment"
     */
    public function testPropertyDeliveryComment()
    {
    }

    /**
     * Test attribute "delivery_price"
     */
    public function testPropertyDeliveryPrice()
    {
    }

    /**
     * Test attribute "receiver_name"
     */
    public function testPropertyReceiverName()
    {
    }

    /**
     * Test attribute "receiver_phone"
     */
    public function testPropertyReceiverPhone()
    {
    }

    /**
     * Test attribute "receiver_email"
     */
    public function testPropertyReceiverEmail()
    {
    }

    /**
     * Test attribute "deliveries"
     */
    public function testPropertyDeliveries()
    {
    }
}
